1
root@MyHome:/# sudo apt-get install samba
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  attr ibverbs-providers libboost-atomic1.67.0 libboost-iostreams1.67.0
  libboost-regex1.67.0 libboost-system1.67.0 libboost-thread1.67.0 libcephfs2
  libgfapi0 libgfrpc0 libgfxdr0 libglusterfs0 libgpgme11 libibverbs1
  libjansson4 libldb1 librados2 libtdb1 libtevent0 python-crypto
  python-dnspython python-gpg python-ldb python-samba python-talloc python-tdb
  samba-common samba-common-bin samba-dsdb-modules samba-libs
  samba-vfs-modules tdb-tools
Suggested packages:
  python-crypto-doc bind9 bind9utils ctdb ldb-tools ntp | chrony smbldap-tools
  ufw winbind heimdal-clients
The following NEW packages will be installed:
  attr ibverbs-providers libboost-atomic1.67.0 libboost-iostreams1.67.0
  libboost-regex1.67.0 libboost-system1.67.0 libboost-thread1.67.0 libcephfs2
  libgfapi0 libgfrpc0 libgfxdr0 libglusterfs0 libgpgme11 libibverbs1
  libjansson4 libldb1 librados2 libtdb1 libtevent0 python-crypto
  python-dnspython python-gpg python-ldb python-samba python-talloc python-tdb
  samba samba-common samba-common-bin samba-dsdb-modules samba-libs
  samba-vfs-modules tdb-tools
0 upgraded, 33 newly installed, 0 to remove and 0 not upgraded.
Need to get 4,700 kB/24.6 MB of archives.
After this operation, 94.4 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://mirror.ossplanet.net/raspbian/raspbian buster/main armhf samba-libs                                                                                         armhf 2:4.9.5+dfsg-5+deb10u1+rpi1 [4,700 kB]
Err:1 http://mirror.ossplanet.net/raspbian/raspbian buster/main armhf samba-libs                                                                                         armhf 2:4.9.5+dfsg-5+deb10u1+rpi1
  Hash Sum mismatch
  Hashes of expected file:
   - SHA256:ec54d60b1ed31f0b1f4b085ef6cbbe1f3a37be3a9996bc6eb2288925f0aaddb8
   - SHA1:f7f3c17a0d0c76caf6e797d444da76727a0cdf7a [weak]
   - MD5Sum:5e0ece95d440f67494bf9b5709e5a53d [weak]
   - Filesize:4699860 [weak]
  Hashes of received file:
   - SHA256:960fac362274a3e8bc0edf594a8f958f025d1844e5b3f45118bc6d57a36a8fa0
   - SHA1:103ff7ba03b5188db8f6ef5bfd345a7f086c80bc [weak]
   - MD5Sum:75d467bcf5d001fb50e0b8f351ba665d [weak]
   - Filesize:4699860 [weak]
  Last modification reported: Wed, 04 Sep 2019 19:57:38 +0000
Fetched 4,700 kB in 4s (1,070 kB/s)
E: Failed to fetch http://mirror.ossplanet.net/raspbian/raspbian/pool/main/s/sam                                                                                        ba/samba-libs_4.9.5+dfsg-5+deb10u1+rpi1_armhf.deb  Hash Sum mismatch
   Hashes of expected file:
    - SHA256:ec54d60b1ed31f0b1f4b085ef6cbbe1f3a37be3a9996bc6eb2288925f0aaddb8
    - SHA1:f7f3c17a0d0c76caf6e797d444da76727a0cdf7a [weak]
    - MD5Sum:5e0ece95d440f67494bf9b5709e5a53d [weak]
    - Filesize:4699860 [weak]
   Hashes of received file:
    - SHA256:960fac362274a3e8bc0edf594a8f958f025d1844e5b3f45118bc6d57a36a8fa0
    - SHA1:103ff7ba03b5188db8f6ef5bfd345a7f086c80bc [weak]
    - MD5Sum:75d467bcf5d001fb50e0b8f351ba665d [weak]
    - Filesize:4699860 [weak]
   Last modification reported: Wed, 04 Sep 2019 19:57:38 +0000
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-mis                                                                                        sing?

I tried all code such as Sudo apt-get update && apt-get upgrade sudo apt install samba - -fix-missing -y still setting error Unable to fetch some archives,

  • Baffled you are logged on as root but still using sudo? Are you running Buster? If so can you cat /etc/apt/sources.list and the first line should read deb raspbian.raspberrypi.org/raspbian buster main contrib non-free rpi – user115418 May 16 '20 at 16:50
  • @Andyroo The question is tagged with ubuntu – Ingo May 16 '20 at 19:56
  • @Ingo - need lockdown to end so I can get new glasses I think... – user115418 May 16 '20 at 22:12
  • Apart from the ubuntu tag, there is of course "raspbian buster/main armhf" and "2:4.9.5+dfsg-5+deb10u1+rpi1" in the log. Perhaps choose another raspbian mirror? raspbian.org/RaspbianMirrors – Gerard H. Pille May 18 '20 at 14:19
1

@Bikram:

You need to delete your question, and ask it on this SE site instead.

FWIW: You didn't indicate which version of Ubuntu you are using, but that may be an important point. Ubuntu is similar to Raspbian due to their shared Debian heritage, but they are different in many respects also. Your problem certainly sounds like an issue with the repos you are using - you might also mention that when you ask your question on the Ubuntu SE site.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.